Debian Bug report logs - #537549
ITP: cabal-install -- Automate the fetching, configuration, compilation and installation of Haskell libraries and programs

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Iain Lane <laney@ubuntu.com>

Date: Sun, 19 Jul 2009 10:51:01 UTC

Owned by: Iain Lane <laney@ubuntu.com>

Severity: wishlist

Fixed in version haskell-cabal-install/0.6.2-1

Done: Iain Lane <laney@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, laney@ubuntu.com, debian-devel@lists.debian.org, debian-haskell@lists.debian.org, <wnpp@debian.org>:
Bug#537549; Package wnpp. (Sun, 19 Jul 2009 10:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iain Lane <laney@ubuntu.com>:
New Bug report received and forwarded. Copy sent to laney@ubuntu.com, debian-devel@lists.debian.org, debian-haskell@lists.debian.org, <wnpp@debian.org>. (Sun, 19 Jul 2009 10:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: cabal-install -- Automate the fetching, configuration, compilation and installation of Haskell libraries and programs
Date: Sun, 19 Jul 2009 11:48:52 +0100
Package: wnpp
Severity: wishlist
Owner: Iain Lane <laney@ubuntu.com>

* Package name    : cabal-install
  Version         : 0.6.2
  Upstream Author : Lemmih <lemmih@gmail.com>, Paolo Martini <paolo@nemail.it>, Bjorn Bringert <bjorn@bringert.net>, Isaac Potoczny-Jones <ijones@syntaxpolice.org>, Duncan Coutts <duncan@haskell.org>
* URL             : http://www.haskell.org/cabal/
* License         : BSD3
  Programming Lang: Haskell
  Description     : Automate the fetching, configuration, compilation and installation of Haskell libraries and programs

The 'cabal' command-line program simplifies the process of managing
Haskell software by automating the fetching, configuration, compilation
and installation of Haskell libraries and programs.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Iain Lane <laney@ubuntu.com>:
Bug#537549; Package wnpp. (Sun, 16 Aug 2009 18:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Iain Lane <laney@ubuntu.com>. (Sun, 16 Aug 2009 18:03:07 GMT) Full text and rfc822 format available.

Message #10 received at 537549@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: debian-haskell@lists.debian.org
Cc: 537549@bugs.debian.org
Subject: ∀lib: Debian(lib) >= Platform(lib)
Date: Sun, 16 Aug 2009 20:00:25 +0200
[Message part 1 (text/plain, inline)]
Hi,

I just adopted haskell-{network,parallel} for Debian and updated them to
the version specified in the current Haskell Platform (the changes were
really minor, for -parallel only .cabal file changes, but we want the
numbers to match). So as you can see here:
http://wiki.debian.org/Haskell/Platform#preview
all library required by the platform are present, possibly in a newer
version.

cabal-install is still missing. This should be easy to fix. Iain, you
filed the ITP for it at http://bugs.debian.org/537549. Are there any
blockers left?

alex and happy are outdate. I expect no issue there, if you know of any
(e.g. incompatibilities of the newer versions with stuff in Debian)
please shout now! Otherwise I say we adopt them for the DHG and update
them.

Libraries that are newer in Debian will stay so, so we won’t be able to
support the platform fully. Now we have these options:

A) Claim to have good-enough platform-support and that’s it. People who
need to build non-debianized Haskell programs that depend on the
platform will have to get that from hackage (and then probably the
dependencies in the versions specified by the platform’s .cabal).

B) Upload a libghc6-platform-dev package to Debian, patched to refer to
„our“ Version numbers. Makes it easy for people to build stuff against
it, but things might break when „our“ Versions are not fully compatible
with the one promised by the official platform.

C) Upload a libghc6-platform-debian-dev package to Debian, which
provides a haskell-platform-debian package. This is identical to the
original platform besides the version numbers, but renamed to avoid
incompatibilities. People trying to build software will have to change
the build-depends in their .cabal file to haskell-platform-debian
manually, thus making them aware of the reason of possible build
failures.

Any other options? What do you think about these?

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Iain Lane <laney@ubuntu.com>:
Bug#537549; Package wnpp. (Sun, 16 Aug 2009 19:18:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Stewart <dons@galois.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Iain Lane <laney@ubuntu.com>. (Sun, 16 Aug 2009 19:18:10 GMT) Full text and rfc822 format available.

Message #15 received at 537549@bugs.debian.org (full text, mbox):

From: Don Stewart <dons@galois.com>
To: Joachim Breitner <nomeata@debian.org>
Cc: debian-haskell@lists.debian.org, 537549@bugs.debian.org
Subject: Re: ∀lib: Debian(lib) >= Platform(lib)
Date: Sun, 16 Aug 2009 12:11:17 -0700
nomeata:
> Hi,
> 
> I just adopted haskell-{network,parallel} for Debian and updated them to
> the version specified in the current Haskell Platform (the changes were
> really minor, for -parallel only .cabal file changes, but we want the
> numbers to match). So as you can see here:
> http://wiki.debian.org/Haskell/Platform#preview
> all library required by the platform are present, possibly in a newer
> version.

Great work! You guys rock.

> A) Claim to have good-enough platform-support and that’s it. People who
> need to build non-debianized Haskell programs that depend on the
> platform will have to get that from hackage (and then probably the
> dependencies in the versions specified by the platform’s .cabal).
> 
> B) Upload a libghc6-platform-dev package to Debian, patched to refer to
> „our“ Version numbers. Makes it easy for people to build stuff against
> it, but things might break when „our“ Versions are not fully compatible
> with the one promised by the official platform.
> 
> C) Upload a libghc6-platform-debian-dev package to Debian, which
> provides a haskell-platform-debian package. This is identical to the
> original platform besides the version numbers, but renamed to avoid
> incompatibilities. People trying to build software will have to change
> the build-depends in their .cabal file to haskell-platform-debian
> manually, thus making them aware of the reason of possible build
> failures.

I use B in Arch Linux (which now actually does match the required
versions, but was ahead in the last release).

I think it is important there be a single apt command to get "Haskell".

-- Don




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#537549; Package wnpp. (Tue, 18 Aug 2009 19:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iain Lane <laney@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 18 Aug 2009 19:21:03 GMT) Full text and rfc822 format available.

Message #20 received at 537549@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@ubuntu.com>
Cc: debian-haskell@lists.debian.org, 537549@bugs.debian.org
Subject: Re: Bug#537549: ∀lib: Debian(lib) >= Platform(lib)
Date: Tue, 18 Aug 2009 20:17:55 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello,

On Sun, 16 Aug 2009 20:00:25 +0200
Joachim Breitner <nomeata@debian.org> wrote:

> cabal-install is still missing. This should be easy to fix. Iain, you
> filed the ITP for it at http://bugs.debian.org/537549. Are there any
> blockers left?

Not apart from my lack of time. I'll try to get started tonight.
 
> Libraries that are newer in Debian will stay so, so we won’t be able
> to support the platform fully. Now we have these options:
>
> ... 
> 
> B) Upload a libghc6-platform-dev package to Debian, patched to refer
> to „our“ Version numbers. Makes it easy for people to build stuff
> against it, but things might break when „our“ Versions are not fully
> compatible with the one promised by the official platform.

This sounds most reasonable to me. I expect as the platform becomes
more entrenched we'll see applications forcing us to deviate less
frequently, and also see the platform becoming more responsive to any
issues that crop up in libraries. But really we should be aiming for
"very best effort" rather than "at all costs" compliance, meaning that
we stick to the platform as specified unless there is a good reason not
to.

Regards,
Iain
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqK/mMACgkQPy0SnCC/zceVtACfbv5nkARDmDf/GIPRgRYGk7R0
Z/AAoLBy8ljI+ZzrkFrg7XgSpW6Elcbt
=yVmF
-----END PGP SIGNATURE-----

Reply sent to Iain Lane <laney@ubuntu.com>:
You have taken responsibility. (Wed, 23 Sep 2009 17:51:13 GMT) Full text and rfc822 format available.

Notification sent to Iain Lane <laney@ubuntu.com>:
Bug acknowledged by developer. (Wed, 23 Sep 2009 17:51:13 GMT) Full text and rfc822 format available.

Message #25 received at 537549-close@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@ubuntu.com>
To: 537549-close@bugs.debian.org
Subject: Bug#537549: fixed in haskell-cabal-install 0.6.2-1
Date: Wed, 23 Sep 2009 17:34:13 +0000
Source: haskell-cabal-install
Source-Version: 0.6.2-1

We believe that the bug you reported is fixed in the latest version of
haskell-cabal-install, which is due to be installed in the Debian FTP archive:

cabal-install_0.6.2-1_amd64.deb
  to pool/main/h/haskell-cabal-install/cabal-install_0.6.2-1_amd64.deb
haskell-cabal-install_0.6.2-1.diff.gz
  to pool/main/h/haskell-cabal-install/haskell-cabal-install_0.6.2-1.diff.gz
haskell-cabal-install_0.6.2-1.dsc
  to pool/main/h/haskell-cabal-install/haskell-cabal-install_0.6.2-1.dsc
haskell-cabal-install_0.6.2.orig.tar.gz
  to pool/main/h/haskell-cabal-install/haskell-cabal-install_0.6.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 537549@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Iain Lane <laney@ubuntu.com> (supplier of updated haskell-cabal-install package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 21 Sep 2009 13:22:15 +0100
Source: haskell-cabal-install
Binary: cabal-install
Architecture: source amd64
Version: 0.6.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Iain Lane <laney@ubuntu.com>
Description: 
 cabal-install - command-line interface for Cabal and Hackage
Closes: 537549
Changes: 
 haskell-cabal-install (0.6.2-1) unstable; urgency=low
 .
   * Initial release (Closes: #537549)
Checksums-Sha1: 
 616401f6c49f7e7439987a6563a3e664a637c9dc 1420 haskell-cabal-install_0.6.2-1.dsc
 415bdf6ae7029b488b99c2da288af10634024ac7 89157 haskell-cabal-install_0.6.2.orig.tar.gz
 590114d67d6bb2a49c0913e561dd996bb17d30e3 2408 haskell-cabal-install_0.6.2-1.diff.gz
 a5731cd59549b77e2670cc6092728966781eef10 1309844 cabal-install_0.6.2-1_amd64.deb
Checksums-Sha256: 
 b1af7c182e5aab5d9ec202b287ce31c3742ad13ce77631714f91cd4a68403f94 1420 haskell-cabal-install_0.6.2-1.dsc
 d8ea91bd0a2a624ab1cf52ddfe48cef02b532bb5e2fcda3fd72ca51efc04b41a 89157 haskell-cabal-install_0.6.2.orig.tar.gz
 b8af78de8334f1a54785d634412685c0f91efb097bad51e06a721baebf8aa628 2408 haskell-cabal-install_0.6.2-1.diff.gz
 68168bdd419cbfba5c21eeedbbd3f592dcae040dd947eda73b7accf0525f8df3 1309844 cabal-install_0.6.2-1_amd64.deb
Files: 
 b326134adfa275a70fe880daa5ee655f 1420 haskell optional haskell-cabal-install_0.6.2-1.dsc
 8cb1c19233a9a114faf0eea7c46cb23e 89157 haskell optional haskell-cabal-install_0.6.2.orig.tar.gz
 c9cd76df3e3e2b178027b7c15d8b6ec3 2408 haskell optional haskell-cabal-install_0.6.2-1.diff.gz
 663e6b838f5865a79768525c160e455a 1309844 haskell optional cabal-install_0.6.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkq6N8EACgkQ9ijrk0dDIGxJ9QCfQ/mqWkcGdPI+C+DbR+VEwfIw
P/oAoJexqAtKtq8QKqw28kCuxh6qi7AF
=lLWE
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 22 Oct 2009 07:38:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:38:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.